<?php

namespace Fab\Module;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

use FAB\Plugin;
use Fab\View;

/**
 * FAB Module Search.
 *
 * @package    Fab
 * @subpackage Fab/Module
 */
class FABModuleSearch extends FABModule {

    /**
     * Type.
     *
     * @var string
     */
    public static $type = 'search';

    /**
     * Module construect
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
        $this->key         = 'module_search';
        $this->name        = 'Search';
        $this->description = 'Modal Search Configuration';
    }

    /**
     * Render Module.
     *
     * @return void
     */
    public function render() {
        View::RenderStatic( 'Frontend.Module.search' );
    }
}
